Subject: bug#63308: closed (Re: bug#63308: [BUG] python-pikepdf build broken)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 12 Nov 2023 04:21:02 +0000

Your bug report

#63308: [BUG] python-pikepdf build broken

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
63308: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=63308
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#63308: [BUG] python-pikepdf build broken
From: Jack Hill <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 11 Nov 2023 23:20:04 -0500 (EST)
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sat, 19 Aug 2023, kiasoc5--- via Bug reports for GNU Guix wrote:

> The build is broken because qpdf in Guix is too old (inferring this from 
> https://github.com/pikepdf/pikepdf/issues/497#issuecomment-1646312997)
>
> Therefore a qpdf upgrade would be required, which would involve a patch to 
> core-updates.

Some time has passed, and I'm happy to notice that pdfarranger and 
python-pikepdf are currently working! I'll close this issue.

Thanks!
Jack

Subject: [BUG] python-pikepdf build broken
From: [email-masked]
To: [email-masked]
Date: Fri, 05 May 2023 14:39:02 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hey guix,
I noticed that python-pikepdf is broken on master, which means
pdfarranger, a tool I like to use is, too. Updating pikepdf solves the
build issues, but I had to disable tests and and sanity-checks. And
then, img2pdf which depends on python-pikepdf and is dependency of
pdfarranger and pdfarranger still needed modifications. So I wanted to
pass on the issue.
Cheers